> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a delivery note



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json post /finops/v1/delivery-notes
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/delivery-notes:
    post:
      tags:
        - Delivery notes
      summary: Create a delivery note
      operationId: post_delivery-notes
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/DeliveryNoteCreateRequest'
                - $ref: '#/components/schemas/DeliveryNoteCreateBasedOnRequest'
              title: Payload
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeliveryNoteResource'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '409':
          description: Business logic error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DeliveryNoteCreateRequest:
      properties:
        counterpart_address_id:
          type: string
          format: uuid
          description: ID of the counterpart address selected for the delivery note
        counterpart_id:
          type: string
          format: uuid
          description: ID of the counterpart
        delivery_date:
          type: string
          format: date
          description: Date of delivery
        delivery_number:
          type: string
          minLength: 1
          description: Delivery number
        display_signature_placeholder:
          type: boolean
          description: Whether to display a signature placeholder in the generated PDF
          default: false
        document_id:
          type: string
          maxLength: 100
          minLength: 1
          description: Document ID of the delivery note
        line_items:
          items:
            $ref: '#/components/schemas/DeliveryNoteCreateLineItem'
          type: array
          maxItems: 100
          minItems: 1
          description: List of line items in the delivery note
        memo:
          type: string
          minLength: 1
          description: Additional information regarding the delivery note
      additionalProperties: false
      type: object
      required:
        - counterpart_address_id
        - counterpart_id
        - line_items
      description: Delivery Note creation request schema
      examples:
        - counterpart_id: a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
          counterpart_address_id: a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
          line_items:
            - quantity: 10
              product_id: a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
            - quantity: 20
              product:
                name: Product 2
                description: Description of product 2
                measure_unit:
                  name: pcs
                  description: pieces
          delivery_date: '2025-01-01'
          delivery_number: 102-2025-0987
          memo: This is a memo
          display_signature_placeholder: true
    DeliveryNoteCreateBasedOnRequest:
      properties:
        based_on:
          type: string
          format: uuid
          description: >-
            The unique ID of a previous document related to the receivable if
            applicable.
      additionalProperties: false
      type: object
      required:
        - based_on
    DeliveryNoteResource:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the delivery note
        created_at:
          type: string
          format: date-time
          description: >-
            Time at which the delivery note was created. Timestamps follow the
            ISO 8601 standard.
        updated_at:
          type: string
          format: date-time
          description: >-
            Time at which the delivery note was last updated. Timestamps follow
            the ISO 8601 standard.
        based_on:
          type: string
          format: uuid
          description: >-
            The unique ID of a previous document related to the delivery note if
            applicable.
        based_on_document_id:
          type: string
          description: >-
            The unique document ID of a previous document related to the
            delivery note if applicable.
        counterpart:
          allOf:
            - $ref: '#/components/schemas/DeliveryNoteCounterpartResource'
          description: Counterpart of the delivery note
        counterpart_address:
          allOf:
            - $ref: '#/components/schemas/ReceivablesCounterpartAddress'
          description: Address of the counterpart
        counterpart_id:
          type: string
          format: uuid
          description: ID of the counterpart
        created_by_entity_user_id:
          type: string
          format: uuid
          description: ID of the user that created the delivery note
        delivery_date:
          type: string
          format: date
          description: Date of delivery
        delivery_number:
          type: string
          description: Delivery number
        display_signature_placeholder:
          type: boolean
          description: Whether to display a signature placeholder in the generated PDF
        document_id:
          type: string
          description: Document ID of the delivery note
        entity:
          anyOf:
            - $ref: '#/components/schemas/ReceivableEntityOrganization'
            - $ref: '#/components/schemas/ReceivableEntityIndividual'
          description: Entity that created the delivery note
        entity_address:
          allOf:
            - $ref: '#/components/schemas/ReceivableEntityAddressSchema'
          description: Address of the entity that created the delivery note
        entity_id:
          type: string
          format: uuid
          description: ID of the entity that created the delivery note
        file_language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: >-
            The language of the customer-facing PDF file (`file_url`). The value
            matches the counterpart's `language` at the time when this PDF file
            was generated.
        file_url:
          type: string
          description: The delivery note's PDF URL in the customer-facing language.
        line_items:
          items:
            $ref: '#/components/schemas/DeliveryNoteLineItemResource'
          type: array
          minItems: 1
          description: List of line items in the delivery note
        memo:
          type: string
          description: Additional information regarding the delivery note
        original_file_language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: >-
            The language of the entity's copy of the PDF file
            (`original_file_url`). The value matches the entity's `language` at
            the time when this PDF file was generated.
        original_file_url:
          type: string
          description: The delivery note's PDF URL in the entity's language.
        status:
          allOf:
            - $ref: '#/components/schemas/DeliveryNoteStatusEnum'
          description: Status of the delivery note
      type: object
      required:
        - id
        - created_at
        - updated_at
        - counterpart
        - counterpart_address
        - counterpart_id
        - display_signature_placeholder
        - document_id
        - entity
        - entity_address
        - entity_id
        - file_language
        - line_items
        - original_file_language
        - status
      example:
        id: a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
        status: created
        created_at: '2022-01-01T00:00:00Z'
        updated_at: '2022-01-01T00:00:00Z'
        entity_id: a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
        entity:
          name: Entity Name
        entity_address:
          line1: Entity Street
          city: Entity City
          postal_code: '10001'
          country: US
        created_by_entity_user_id: a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
        counterpart_id: a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
        counterpart:
          name: Counterpart Name
        counterpart_address:
          line1: Counterpart Street
          city: Counterpart City
          postal_code: '10001'
          country: US
        line_items:
          - quantity: 20
            product:
              name: Product Name
              description: Description of product
              measure_unit:
                name: pcs
                description: Pieces
        document_id: DN-2022-01-01-0001
        delivery_date: '2022-01-01'
        delivery_number: 102-2022-0987
        memo: This is a memo
        display_signature_placeholder: true
        file_url: https://example.com/delivery_note.pdf
        original_file_url: https://example.com/delivery_note_original.pdf
        file_language: en
        original_file_language: de
        based_on: a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
        based_on_document_id: IN-2022-01-01-0001
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DeliveryNoteCreateLineItem:
      properties:
        product:
          allOf:
            - $ref: '#/components/schemas/DeliveryNoteLineItemProduct'
          description: >-
            Object of product. Can be used instead of product_id, created in
            product's catalog
        product_id:
          type: string
          format: uuid
          description: Unique identifier of the product.
        quantity:
          type: number
          maximum: 2147483647
          minimum: 0
          description: >-
            The quantity of each of the goods, materials, or services listed in
            the receivable.
      additionalProperties: false
      type: object
      required:
        - quantity
    DeliveryNoteCounterpartResource:
      properties:
        id:
          type: string
          format: uuid
          description: ID of the counterpart
        individual:
          allOf:
            - $ref: '#/components/schemas/CounterpartIndividualResponse'
          description: Individual counterpart
        language:
          allOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
          description: The language used to generate pdf documents for this counterpart.
        organization:
          allOf:
            - $ref: '#/components/schemas/CounterpartOrganizationResponse'
          description: Organization counterpart
      additionalProperties: false
      type: object
      required:
        - id
    ReceivablesCounterpartAddress:
      properties:
        city:
          type: string
          description: City name.
          example: New York
        country:
          allOf:
            - $ref: '#/components/schemas/AllowedCountries'
          description: >-
            Two-letter ISO country code ([ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
          example: US
        line1:
          type: string
          description: Street address.
          example: 456 Fifth Avenue
        line2:
          type: string
          description: Additional address information (if any).
        postal_code:
          type: string
          description: ZIP or postal code.
          example: '10001'
        state:
          type: string
          description: State, region, province, or county.
      type: object
      required:
        - city
        - country
        - line1
        - postal_code
      description: Address information.
    ReceivableEntityOrganization:
      properties:
        email:
          type: string
          format: email
          description: An email of the entity
        logo:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          description: A link to the entity logo
        name:
          type: string
          description: >-
            The name of the entity issuing the receivable, when it is an
            organization.
        phone:
          type: string
          description: A phone number of the entity
        registration_authority:
          type: string
          description: The registration authority of the entity
        registration_number:
          type: string
          description: The registration number of the entity
        tax_id:
          type: string
          description: The Tax ID of the entity issuing the receivable
        type:
          type: string
          enum:
            - organization
          description: The entity type
        vat_id:
          type: string
          description: >-
            The VAT ID of the entity issuing the receivable, when it is an
            organization.
        website:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          description: A website of the entity
      type: object
      required:
        - name
        - type
      description: A Response schema for an entity of organization type
    ReceivableEntityIndividual:
      properties:
        email:
          type: string
          format: email
          description: An email of the entity
        first_name:
          type: string
          description: The first name of the entity issuing the receivable
        last_name:
          type: string
          description: The last name of the entity issuing the receivable
        logo:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          description: A link to the entity logo
        phone:
          type: string
          description: A phone number of the entity
        registration_authority:
          type: string
          description: The registration authority of the entity
        registration_number:
          type: string
          description: The registration number of the entity
        tax_id:
          type: string
          description: The Tax ID of the entity issuing the receivable
        type:
          type: string
          enum:
            - individual
          description: The entity type
        website:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          description: A website of the entity
      type: object
      required:
        - first_name
        - last_name
        - type
      description: A Response schema for an entity of individual type
    ReceivableEntityAddressSchema:
      properties:
        city:
          type: string
          maxLength: 255
          description: A city (a full name) where the entity is registered
        country:
          allOf:
            - $ref: '#/components/schemas/AllowedCountries'
          description: 'A country name (as ISO code) where the entity is registered '
          default: DE
          example: DE
        line1:
          type: string
          maxLength: 255
          description: A street where the entity is registered
        line2:
          type: string
          maxLength: 100
          description: An alternative street used by the entity
        postal_code:
          type: string
          maxLength: 10
          description: A postal code of the address where the entity is registered
        state:
          type: string
          description: A state in a country where the entity is registered
      additionalProperties: false
      type: object
      required:
        - city
        - line1
        - postal_code
      description: A schema represents address info of the entity
    LanguageCodeEnum:
      type: string
      enum:
        - ab
        - aa
        - af
        - ak
        - sq
        - am
        - ar
        - an
        - hy
        - av
        - ae
        - ay
        - az
        - bm
        - ba
        - eu
        - be
        - bn
        - bi
        - bs
        - br
        - bg
        - my
        - ca
        - ch
        - ce
        - ny
        - zh
        - cu
        - cv
        - kw
        - co
        - cr
        - hr
        - cs
        - da
        - dv
        - nl
        - dz
        - en
        - eo
        - et
        - ee
        - fo
        - fj
        - fi
        - fr
        - fy
        - ff
        - gd
        - gl
        - lg
        - ka
        - de
        - el
        - kl
        - gn
        - gu
        - ht
        - ha
        - he
        - hz
        - hi
        - ho
        - hu
        - io
        - ig
        - id
        - ia
        - ie
        - iu
        - ik
        - ga
        - it
        - ja
        - jv
        - kn
        - kr
        - ks
        - kk
        - km
        - ki
        - rw
        - ky
        - kv
        - kg
        - ko
        - kj
        - ku
        - lo
        - la
        - lv
        - li
        - ln
        - lt
        - lu
        - lb
        - mk
        - mg
        - ms
        - ml
        - mt
        - gv
        - mi
        - mr
        - mh
        - mn
        - na
        - nv
        - nd
        - nr
        - ng
        - ne
        - 'no'
        - nb
        - nn
        - ii
        - oc
        - oj
        - om
        - os
        - pi
        - ps
        - fa
        - pl
        - pt
        - pa
        - qu
        - ro
        - rm
        - rn
        - ru
        - se
        - sm
        - sg
        - sa
        - sc
        - sr
        - sn
        - sd
        - si
        - sk
        - sl
        - so
        - st
        - es
        - su
        - sw
        - ss
        - sv
        - tl
        - ty
        - tg
        - ta
        - tt
        - te
        - th
        - bo
        - ti
        - to
        - ts
        - tn
        - tr
        - tk
        - tw
        - ug
        - uk
        - ur
        - uz
        - ve
        - vi
        - vo
        - wa
        - cy
        - wo
        - xh
        - yi
        - yo
        - za
        - zu
    DeliveryNoteLineItemResource:
      properties:
        product:
          $ref: '#/components/schemas/DeliveryNoteLineItemProduct'
        quantity:
          type: number
          maximum: 2147483647
          minimum: 0
          description: >-
            The quantity of each of the goods, materials, or services listed in
            the receivable.
      type: object
      required:
        - product
        - quantity
    DeliveryNoteStatusEnum:
      type: string
      enum:
        - created
        - canceled
        - delivered
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    DeliveryNoteLineItemProduct:
      properties:
        description:
          type: string
          maxLength: 2000
          description: Description of the product.
        measure_unit:
          $ref: '#/components/schemas/UnitRequest'
        name:
          type: string
          maxLength: 100
          minLength: 1
          description: Name of the product.
      additionalProperties: false
      type: object
      required:
        - name
    CounterpartIndividualResponse:
      properties:
        email:
          type: string
          format: email
          description: The person's email address.
          example: asingh@example.net
        first_name:
          type: string
          minLength: 1
          description: The person's first name.
          example: Adnan
        is_customer:
          type: boolean
          description: Indicates if the counterpart is a customer.
        is_vendor:
          type: boolean
          description: Indicates if the counterpart is a vendor.
        last_name:
          type: string
          minLength: 1
          description: The person's last name.
          example: Singh
        phone:
          type: string
          description: The person's phone number.
          example: '5553211234'
        tags:
          items:
            $ref: '#/components/schemas/CounterpartTagSchema'
          type: array
          description: The list of tags for this counterpart.
        title:
          type: string
          description: 'The person''s title or honorific. Examples: Mr., Ms., Dr., Prof.'
          example: Mr.
      type: object
      required:
        - first_name
        - is_customer
        - is_vendor
        - last_name
    CounterpartOrganizationResponse:
      properties:
        email:
          type: string
          format: email
          description: The email address of the organization
          example: acme@example.com
        is_customer:
          type: boolean
          description: Indicates if the counterpart is a customer.
        is_vendor:
          type: boolean
          description: Indicates if the counterpart is a vendor.
        legal_name:
          type: string
          description: The legal name of the organization.
          example: Acme Inc.
        phone:
          type: string
          description: The phone number of the organization
          example: '5551231234'
        tags:
          items:
            $ref: '#/components/schemas/CounterpartTagSchema'
          type: array
          description: The list of tags for this counterpart.
      type: object
      required:
        - is_customer
        - is_vendor
        - legal_name
    AllowedCountries:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - KH
        - CM
        - CA
        - IC
        - CV
        - KY
        - CF
        - EA
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CU
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - AN
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - MK
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - SH
        - KN
        - LC
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SK
        - SI
        - SB
        - SO
        - ZA
        - SS
        - GS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - BL
        - BQ
        - CW
        - MF
        - SX
    UnitRequest:
      properties:
        description:
          type: string
          maxLength: 200
        name:
          type: string
          maxLength: 100
          minLength: 1
      type: object
      required:
        - name
    CounterpartTagSchema:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID of this tag.
          example: ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        created_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was created. Timestamps follow the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          example: '2022-09-07T16:35:18.484507+00:00'
        updated_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was last updated. Timestamps follow the
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          example: '2022-09-07T16:35:18.484507+00:00'
        category:
          allOf:
            - $ref: '#/components/schemas/TagCategory'
          description: The tag category.
          example: department
        created_by_entity_user_id:
          type: string
          format: uuid
          description: ID of the user who created the tag.
          example: ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        description:
          type: string
          maxLength: 255
          minLength: 1
          description: The tag description.
          example: Tag for the Marketing Department
        name:
          type: string
          description: The tag name.
          example: Marketing
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
      description: >-
        Represents a user-defined tag that can be assigned to resources to
        filter them.
    TagCategory:
      type: string
      enum:
        - document_type
        - department
        - project
        - cost_center
        - vendor_type
        - payment_method
        - approval_status
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````